using System;

using CommonHelpers.WASM;
using AFXUI;

namespace BookRegistry.Client.Shared {

public enum ElementPresence
{
   None, Available, PlaceOnly
} // ElementPresence

public enum ResetControlTarget
{
   Undefined, DropDownList, EditBox
} // ResetControlTarget

public enum ResetControlType
{
   Reset, UpReset
} // ResetControlType

public delegate string? InputValidationCallback_Text(string text);
public delegate string? InputValidationCallback_SelectedIdx(int index);
public delegate string? InputValidationCallback_SelectedGuid(Guid? id);

} // BookRegistry.Client.Shared
